Developer
API REFERENCE

Geo data API

5 REST endpoints for geo data, each with its parameters, the response it returns and a runnable curl example. Starts with GET /api/geo/cities.

GET/api/geo/cities

Get geo cities

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Parameters 4
NameInDescription
countryqueryOptional query parameter
regionqueryOptional query parameter
qqueryOptional query parameter
limitqueryOptional query parameter

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
GET/api/geo/continents

continents

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
GET/api/geo/countries

countries

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Parameters 3
NameInDescription
continentqueryOptional query parameter
limitqueryOptional query parameter
qqueryOptional query parameter

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
GET/api/geo/regions

subdivisions (states / provinces / regions)

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Parameters 3
NameInDescription
countryqueryOptional query parameter
limitqueryOptional query parameter
qqueryOptional query parameter

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
GET/api/geo/resolve

resolve a free-typed value to something the matcher will accept --

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Parameters 3
NameInDescription
valuequeryOptional query parameter
typequeryOptional query parameter
countryqueryOptional query parameter

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited